# in-scope-prefixes

Returns the names of the namespaces that are in scope for an element. Except for the unnamed namespace, which is represented by the string "", the names will be of type xs:NCName.

in-scope-prefixes($element as element()) → xs:string*

Arguments
| $element | element() | The element node whose in-scope namespace prefixes are required
Result | xs:string*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next